vennaVenna

Conversations

Not yet implemented
POST
/v1/conversations
AuthorizationBearer <token>

Workspace API key — Authorization: Bearer vk_.... Billing targets the key workspace.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/conversations" \  -H "Content-Type: application/json" \  -d '{}'
{  "created_at": 0,  "id": "string",  "metadata": {    "property1": "string",    "property2": "string"  },  "object": "conversation"}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
GET
/v1/conversations/{id}
AuthorizationBearer <token>

Workspace API key — Authorization: Bearer vk_.... Billing targets the key workspace.

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/conversations/abc"
{  "created_at": 0,  "id": "string",  "metadata": {    "property1": "string",    "property2": "string"  },  "object": "conversation"}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
POST
/v1/conversations/{id}
AuthorizationBearer <token>

Workspace API key — Authorization: Bearer vk_.... Billing targets the key workspace.

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/conversations/abc" \  -H "Content-Type: application/json" \  -d '{    "metadata": {      "property1": "string",      "property2": "string"    }  }'
{  "created_at": 0,  "id": "string",  "metadata": {    "property1": "string",    "property2": "string"  },  "object": "conversation"}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
DELETE
/v1/conversations/{id}
AuthorizationBearer <token>

Workspace API key — Authorization: Bearer vk_.... Billing targets the key workspace.

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/conversations/abc"
{  "deleted": true,  "id": "string",  "object": "conversation.deleted"}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
GET
/v1/conversations/{id}/items
AuthorizationBearer <token>

Workspace API key — Authorization: Bearer vk_.... Billing targets the key workspace.

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/conversations/abc/items"
{  "data": [    {      "data": {        "content": "string",        "role": "user",        "type": "message"      },      "index": 0,      "type": "input"    }  ],  "first_id": "string",  "has_more": true,  "last_id": "string",  "object": "list"}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
POST
/v1/conversations/{id}/items
AuthorizationBearer <token>

Workspace API key — Authorization: Bearer vk_.... Billing targets the key workspace.

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/conversations/abc/items" \  -H "Content-Type: application/json" \  -d '{    "items": [      {        "content": "string",        "role": "user",        "type": "message"      }    ]  }'
{  "data": [    {      "data": {        "content": "string",        "role": "user",        "type": "message"      },      "index": 0,      "type": "input"    }  ],  "first_id": "string",  "has_more": true,  "last_id": "string",  "object": "list"}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}